Printago API
GET
/v1/settings/notifications/{id}
Get notification channel
Get a single notification channel and its event subscriptions.
Path Parameters
id
required
string
The notification channel ID
Response Schema
NotificationSetting
channelrequired
"discord" | "webhook" | "slack" | "pushover" | "telegram" | "pubsub"
discordwebhookslackpushovertelegrampubsub
createdAtrequired
string
format: date-time
enabledrequired
boolean
idrequired
string
pattern: ^[a-z0-9]{24}$
onAiFailureDetectedrequired
boolean
onJobCancelledrequired
boolean
onJobFailedrequired
boolean
onJobStartedrequired
boolean
onJobSucceededrequired
boolean
onMaintenanceDueSoonrequired
boolean
onMaintenanceModeOffrequired
boolean
onMaintenanceModeOnrequired
boolean
onMaintenanceOverduerequired
boolean
onMaterialUsageRecordedrequired
boolean
onOrderCancelledrequired
boolean
onOrderClosedrequired
boolean
onOrderCreatedManualrequired
boolean
onOrderCreatedRetailrequired
boolean
onOrdersAutoPrintedrequired
boolean
onPrinterContinuousPrintDisabledrequired
boolean
onPrinterHmsErrorrequired
boolean
onPrinterHmsWarningrequired
boolean
onPrinterOfflinerequired
boolean
onPrinterOnlinerequired
boolean
storeIdrequired
string
pattern: ^[a-z0-9]{24}$
updatedAtrequired
string
format: date-time
Example Response
200 OK — application/json
{
"enabled": true,
"channel": "discord",
"onJobSucceeded": true,
"onJobFailed": true,
"onJobStarted": true,
"onJobCancelled": true,
"onPrinterHmsError": true,
"onPrinterHmsWarning": true,
"onPrinterOffline": true,
"onPrinterOnline": true,
"onPrinterContinuousPrintDisabled": true,
"onOrderCreatedManual": true,
"onOrderCreatedRetail": true,
"onOrderCancelled": true,
"onOrderClosed": true,
"onOrdersAutoPrinted": true,
"onMaintenanceModeOn": true,
"onMaintenanceModeOff": true,
"onMaintenanceDueSoon": true,
"onMaintenanceOverdue": true,
"onMaterialUsageRecorded": true,
"onAiFailureDetected": true,
"id": "string",
"storeId": "string",
"createdAt": "2025-01-15T12:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}